LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
LinkBack Search this Thread
Old 05-14-2004, 08:20 PM   #1
DrLazardo
LQ Newbie
 
Registered: May 2003
Posts: 12

Rep: Reputation: 0
Slackware Gimp 2.0 Upgrade Problem


Has anyone had any experience upgrading the Gimp to v2.0 on SLackware 9.1? I got the latest gimp package from slackware-current and ran the upgradepkg tool to upgrade it. Now I am receiving an error:

gimp-2.0: relocation error: gimp-2.0: undefined symbol: gdk_threads_lock

Which I can't seem to find any info on. Can anyone offer any advice? Thanks.
 
Old 05-15-2004, 08:34 AM   #2
dhbiker
Member
 
Registered: Dec 2003
Location: Bristol
Distribution: Slackware 10.2
Posts: 196

Rep: Reputation: 30
yeah I went through the process of getting gimp 2.0pre3 running on my slack box and it was a little bit of a mission (I needed to upgrade a number of other things as well). I compiled everything from source and made my own packages, I never encountered that message though I'm afraid. it might be worth trying to compile your own
 
Old 05-15-2004, 09:26 AM   #3
trickykid
Guru
 
Registered: Jan 2001
Posts: 24,133

Rep: Reputation: 194Reputation: 194
Try removing the old package and then installing the newer one, installpkg.....

And when I upgraded on my Slack 9.1 machines, I only really needed to upgrade XFree86 to get it going. But in the past I've done other upgrades to libs and such, so not totally sure what versions your sitting on. But the error you have now looks as if it was just a bad install.
 
Old 05-15-2004, 12:10 PM   #4
DrLazardo
LQ Newbie
 
Registered: May 2003
Posts: 12

Original Poster
Rep: Reputation: 0
Well I tried to install from source, but the make isn't completing successfully. I'm pretty sure I'm missing libraries somewhere, but am having a hard time figuring out which ones. I upgraded pango and the make made it further, but ran into this error eventually.

gcc -g -O2 -Wall -o .libs/gimp-2.0 -u gimp_container_filter -u gimp_xml_parser_new -u gimp_drawable_stroke_vectors app_procs.o main.o batch.o errors.o sanity.o units.o -Wl,--export-dynamic -Wl,--export-dynamic config/libappconfig.a gui/libappgui.a display/libappdisplay.a tools/libapptools.a widgets/libappwidgets.a core/libappcore.a pdb/libapppdb.a paint/libapppaint.a xcf/libappxcf.a text/libapptext.a vectors/libappvectors.a file/libappfile.a plug-in/libappplug-in.a paint-funcs/libapppaint-funcs.a composite/libappcomposite.a base/libappbase.a ../libgimpwidgets/.libs/libgimpwidgets-2.0.so /root/gimp-2.0.1/libgimpcolor/.libs/libgimpcolor-2.0.so ../libgimpmodule/.libs/libgimpmodule-2.0.so /root/gimp-2.0.1/libgimpbase/.libs/libgimpbase-2.0.so ../libgimpcolor/.libs/libgimpcolor-2.0.so ../libgimpthumb/.libs/libgimpthumb-2.0.so /root/gimp-2.0.1/libgimpmath/.libs/libgimpmath-2.0.so ../libgimpmath/.libs/libgimpmath-2.0.so ../libgimpbase/.libs/libgimpbase-2.0.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangoxft-1.0.so /usr/lib/libpangox-1.0.so /usr/lib/libart_lgpl_2.so -lm /usr/lib/libpangoft2-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so -L/usr/X11R6/lib /usr/X11R6/lib/libfontconfig.so /usr/lib/libexpat.so /usr/lib/libfreetype.so -lz
/usr/lib/libpangoft2-1.0.so: undefined reference to `g_type_instance_get_private'
/usr/lib/libpangoft2-1.0.so: undefined reference to `g_type_class_add_private'
/usr/lib/libpango-1.0.so: undefined reference to `g_unichar_get_mirror_char'
collect2: ld returned 1 exit status
make[3]: *** [gimp-2.0] Error 1
make[3]: Leaving directory `/root/gimp-2.0.1/app'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/gimp-2.0.1/app'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/gimp-2.0.1'
make: *** [all] Error 2
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Slackware 10.1 Gimp-2.2 plugin problem spiroketal Slackware 4 08-10-2005 10:42 AM
Gimp problem on Slackware current d1s4st3r Slackware 9 07-11-2005 09:06 PM
small problem after slackware upgrade kierse Slackware 7 02-13-2005 06:59 AM
slackware 10 sound problem after upgrade salahuddin_66 Slackware 5 08-09-2004 02:24 AM
tried to upgrade to GIMP 2.0...hosed Gnome solstice123 Linux - General 9 02-17-2004 11:33 AM


All times are GMT -5. The time now is 11:32 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration